ifconfig(8): Display extended compliance code for SFP transceivers

Authored by erj on Nov 28 2017, 6:38 PM.



This change does two things:

  • Update tables in net/sff8472.h and ifconfig's sfp.c with new entries in newer spec revisions of SFF-8472, SFF-8024, and SFF-8636
  • Change get_sfp_transceiver_class() in ifconfig to read and display the extended compliance code if it exists. This was being done for QSFP transceivers in the function for QSFP transceivers, but not for SFP transceivers -- but SFP28 transceivers use this code to display 25G Ethernet capabilities.
Test Plan

Use ifconfig -v with an SFP/SFP+/SFP28 transceiver with a non-zero extended compliance code, and check that that the extended compliance code is displayed instead of a 10G/1G compliance code.

Diff Detail

rS FreeBSD src repository
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
erj created this revision.Nov 28 2017, 6:38 PM
erj edited the summary of this revision. (Show Details)Nov 28 2017, 7:03 PM
melifaro accepted this revision.Dec 1 2017, 7:11 AM
This revision is now accepted and ready to land.Dec 1 2017, 7:11 AM
sbruno accepted this revision.Dec 4 2017, 11:06 PM
This revision was automatically updated to reflect the committed changes.